<?php
function architect_save_option($option, $options = array())
{
	// Strip tags out
	if(isset($options['stripTags']) && $options['stripTags'] == true)
	{
		$tagAllow = '';
		if(!empty($options['tagAllow']))
		{
			$tagAllow .= '<';
			$tagAllow .= implode('><', $options['tagAllow']);
			$tagAllow .= '>';
		}
		$_POST[$option] = strip_tags($_POST[$option], $tagAllow);
	} 
	
	if($_POST[$option] != get_option($option))
	{
		update_option($option, $_POST[$option]);
		return true;
	}
}

function architect_add_headerimage()
{
	echo '<input type="file" name="architect_add_headerimage" id="architect_add_headerimage" />';
}

if(!function_exists('architect_admin_header'))
{
	function architect_admin_header($h, $value)
	{
		return '<tr><td colspan="2"><h'.$h.' style="margin:0;font-size:1.3em;">'.$value.'</h'.$h.'></td></tr>';
	}
}
if(!function_exists('architect_table_start'))
{
	function architect_table_start()
	{
		return '<table class="form-table" cellspacing="2" cellpadding="5" style="margin-top:0;padding-top:5px;margin-bottom:0px;border:solid 1px #AAAAAA;border-width: 0 1px 1px;">';
	}
}
if(!function_exists('architect_admin_option'))
{
	function architect_admin_option($type, $options = array())
	{
		$string  = '<tr>';
		if($type != 'text')
		{
			$string .= '<th width="30%" valign="top" style="padding-top: 10px;">';
			
			if(isset($options['name']))
			{
				$string .= '<label for="'.$options['name'].'">'.$options['label'].': </label>';
			}
			$string .= '</th>';
			$string .= '<td>';
		}  else
		{
			$string .= '<td colspan="2">';
		}
		
		switch($type)
		{
			case 'input' : 
				if(!isset($options['size']))
				{
					$options['size'] = 40;
				}
				if(isset($options['before']) AND $options['before'] != '')
				{
					$string .= $options['before'];
				}
				$string .= '<input';
				
				if($options['size'] == 40)
				{
					$string .= ' class="regular-text"';
				}
				$string .= ' style="margin-right:10px;" size="'.$options['size'].'" type="text" name="'.$options['name'].'" id="'.$options['name'].'" value="'.$options['value'].'" />';
				
				if(isset($options['after']) AND $options['after'] != '')
				{
					$string .= $options['after'];
				}
				break;
			case 'select' :
				$string .= '<select name="'.$options['name'].'" style="margin-right:10px;';
				
				if(isset($options['multiple']) && $options['multiple'] == true)
				{
					$string .= 'height:auto;" multiple size="5"';
				} else
				{
					$string .= '"';
				}
				
				$string .= '>';
				if(isset($options['multiple']) && $options['multiple'] == true)
				{
					$values = explode('|', $options['value']);
					
					foreach($values as $key => $val)
					{
						$values[$key] = stripslashes(architectCharsOther($val));
					}

					foreach($options['options'] as $val)
					{
						$val = stripslashes($val);
						$string .= '<option value="'.$val.'"';
						
						if(in_array(architectCharsOther($val), $values))
						{
							$string .= ' selected="selected"';
						}
						$string .= '>'.$val.'</option>';
					}
				} else
				{
					foreach($options['options'] as $key => $val)
					{
						$string .= '<option value="'.$key.'"';
					
						if($key == $options['value'])
						{
							$string .= ' selected="selected"';
						}
						
						$string .= '>'.$val.'</option>';
					}
				}
				$string .= '</select>';
				break;
			case 'file' :
				$string .= '<input type="file" name="'.$options['name'].'" id="'.$options['name'].'" style="margin-right:10px;" />';
				break;
			case 'image' :
				$string .= '<img src="'.$options['src'].'" alt="'.$options['alt'].'" style="margin-right:10px;" />';
				break;
			case 'textarea' :
				if(!isset($options['rows']))
				{
					$options['rows'] = 25;
				}
				if(!isset($options['cols']))
				{
					$options['cols'] = 70;
				}
				$string .= '<textarea style="margin-right:10px;" id="'.$options['name'].'" name="'.$options['name'].'" rows="'.$options['rows'].'" cols="'.$options['cols'].'">'.$options['value'].'</textarea>';
				break;
			case 'text' :
				$string .= '<p>';
				if(isset($options['bold'])) $string .= '<strong>';
				if(isset($options['italic'])) $string .= '<em>';
				
				$string .= $options['value'];
				
				if(isset($options['italic'])) $string .= '</em>';
				if(isset($options['bold'])) $string .= '</strong>';
				$string .= '</p>';
				break;
			
		}
		
		if(isset($options['description']) && $type != 'text')
		{
			$string .= '<span class="description">'.$options['description'].'</span>';
		}
		
		$string .= '</td></tr>';
		return $string;
	}
}

if(!function_exists('architect_remove_wtf'))
{
	function architect_remove_wtf($string)
	{
		$string = preg_replace('|[[\/\!]*?[^\[\]]*?]|si', '', $string);
		return $string;
	}
}

if(!function_exists('architectCharsAmp'))
{
	function architectCharsAmp($string)
	{
		return str_replace('&', '&#38;', $string);
	}
}
?>